
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>

<c:url var="urlEngine" value="/npay/engine.js"></c:url>
<script type='text/javascript' src='${urlEngine}'> </script>
<c:url var="urlUtil" value="/npay/util.js"></c:url>
<script type='text/javascript' src='${urlUtil}'> </script>
<!--<c:url var="interfaceUtil" value="/npay/interface/EMTGroupDetail.js"></c:url>
<script type='text/javascript' src='${interfaceUtil}'> </script>-->
<c:url var="interfaceUtil" value="/npay/interface/EMTGroupDetailAjax.js"></c:url>
<script type='text/javascript' src='${interfaceUtil}'> </script>

<c:url var="actionURL" value="/npay/emt/managegroupdetails">
	<c:param name="sid"
		value='<%=com.ms.hr.payess.common.WebUtils.getCookieAttribValue(request, "JSESSIONID")%>'></c:param>
</c:url>

<c:forEach var="groupDetail" items="${emttransbean.groupDetails}">
	<c:set var="GroupName" value="${groupDetail.group_name}">
	</c:set>
	<c:set var="GroupId" value="${groupDetail.group_id}">
	</c:set>
	<c:set var="Comments" value="${groupDetail.comments}">
	</c:set>
	<c:set var="SystemId" value="${groupDetail.system_id}">
	</c:set>
</c:forEach>



<form:form name="emttransbean" commandName="emttransbean"
	action="${actionURL}">

	<div class="fieldset"
		style="position: absolute; left: 20px; top: 120px; width: 960px; height: 460px;">
	<div class="legend">Group ID
	&nbsp;&nbsp;:&nbsp;&nbsp;[${GroupId==0?'':GroupId}]
	&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp; Group
	Name&nbsp;&nbsp;:&nbsp;&nbsp; <input type="text" name="newGroupName"
		value="${GroupId!=null?GroupName:''}" />
	&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp; Comments&nbsp;&nbsp;:&nbsp;&nbsp;

	<input type="text" name="newGroupComment"
		value="${GroupId!=null?Comments:''}" /> &nbsp;&nbsp;<input name="_add"
		type="image" src="<c:url value='/images/default/dd/drop-add.gif'/>"
		alt="Add Group" style="border: 0" /></div>
    <input type="hidden" name="tempGroupID" value="${GroupId}" id="tempGroupID">

	<table width="960px">

		<tr>
			<td>
			<div id="parentId"
				style="position: relative; top: 05px; left: 10px; width: 930px; height: 380px; aborder: #B5CDE4 1px solid;"></div>
			</td>
		</tr>

		<tr>
			<td>
			<TABLE width="100%" cellspacing="0" cellpadding="3" border="0">
				<TR>
					<TD>
					<hr color="navy" width="930">
					</TD>
				</TR>
			</TABLE>
			</td>
		</tr>
		<tr>
			<td>
			<center>
			<table width="400" cellspacing="0" cellpadding="0" border="0">
				<tr>
					<td colspan="2">
					<input name="_back" type="image"
						src="<c:url value='/images/btn_back.gif'/>" alt="back"
						style="border: 0" /> &nbsp;&nbsp;&nbsp; <input name="_cancel"
						type="image" src="<c:url value='/images/btn_cancel.gif'/>"
						alt="cancel" style="border: 0" /> &nbsp;&nbsp;&nbsp; <input
						name="_next" type="image"
						src="<c:url value='/images/button_edit.gif'/>" alt="edit"
						style="border: 0"  onclick="return checkGroupNumber()"/></td>
				</tr>
				
			</table>
			</center>
			</td>
		</tr>
	</table>


	<script type="text/javascript">

	   dataResource_D = { rows: [ ${emttransbean.resourceGridData}] }
        inclusionData_D = { rows: [${emttransbean.inclusionGridData} ] }
              
        exclusionData_D =  { rows: [${emttransbean.exclusionGridData} ] }
       
        proxyData_D = { rows: [${emttransbean.proxyGridData} ] }

       dataGroupList_D = {
               rows: [                
               <c:forEach var="grpdtl" items="${emttransbean.allGroupsList}" varStatus="grpStat">
                {
                 id:${grpStat.count},
                // data: ["${grpdtl.group_id}^javascript:getGroupDetails(${grpdtl.group_id})^_self","${grpdtl.group_name}"]
                data: ["${grpdtl.group_id}^/site/payess/webapp/npay/emt/managegroupdetails?_target0.x&group_id=${grpdtl.group_id}^_self","${grpdtl.group_name}"]
                 
                }${grpStat.last?'':','}                
             </c:forEach>                
             ]
        }
	doOnLoad(dataResource_D,inclusionData_D,exclusionData_D,proxyData_D,dataGroupList_D);
  
	</script></div>

	<script type="text/javascript">
    DWREngine.setErrorHandler(null); // Swallow errors and warnings from DWR; handle appropriately in your app
    DWREngine.setWarningHandler(null);              

    function getGroupDetails(group_id){
        //alert(group_id);
        var group_id;
        //alert("loading Data..");
       // loadData();
    
        //
      var inclusionData_GDT,exclusionData_GDT,proxyData_GDT;
        EMTGroupDetailAjax.getGroupDetails(group_id,function(data) {
              //display error on failure, somewhere on the page
           //data instanceof EMTTransactionBean; 
           /*alert("Hi");
           alert("Data : "+data);
          alert("stauts "+data.roleName);
          alert("resourceGridData>> "+data.resourceGridData);
          alert("inclusionGridData>. "+data.inclusionGridData);
          alert("exclusionGridData>> "+data.exclusionGridData);
          alert("proxyGridData >> "+data.proxyGridData);*/
         // datares=data.resoureData.replace('\\','');
         
        var dataResource_GDT = { rows: [ data.resourceGridData.toString()] }
        var  inclusionData_GDT = { rows: [data.inclusionGridData ] }
                
        var  exclusionData_GDT =  { rows: [data.exclusionGridData.toString() ] }
         
         var  proxyData_GDT = { rows: [data.proxyGridData.toString()] }
         // alert("Rows : "+dataResource_GDT.rows);
           
         // alert("List >> "+inclusionData_GDT);
         // mygridRes.clearAll();
         // mygridInclu.parse(inclusionData_GDT,"json");
         doOnLoad(dataResource_GDT,inclusionData_GDT,exclusionData_GDT,proxyData_GDT,dataGroupList_GD);
        }
        );

    }

    

  
</script>

</form:form>
