var dhxAccord, mygridRes, mygrid, mygridInclu, dhxAccord1, mygrid2;

/**
 * 
 * Load the Group details grid.
 * 
 * @param dataResource_D
 * @param inclusionData_D
 * @param exclusionData_D
 * @param proxyData_D
 * @param dataGroupList_D
 * @return
 */
function doOnLoad(dataResource_D, inclusionData_D, exclusionData_D,
		proxyData_D, dataGroupList_D) {

	// Main Panel
	var dhxLayoutData = {
		parent : "parentId",
		pattern : "3W",
		cells : [ {
			id : "a",
			text : "Left",
			width : 200,
			header : false
		}, {
			id : "b",
			text : "Right",
			header : false
		}, {
			id : "c",
			text : "Right",
			header : false
		} ]
	};
	alert("before dhtmlXLayoutObject");
	//var dhxLayout = new dhtmlXLayoutObject(dhxLayoutData);
	var dhxLayout = new dhtmlXLayoutObject("parentId", "2W");
	alert("before cells set width");
	// dhxLayout.cells("a").setText("Click to Show in Right panel");
	dhxLayout.cells("a").setWidth(200);
	dhxLayout.cells("b").setWidth(350);
	dhxLayout.cells("c").setWidth(350);
	// dhxLayout.cells("b").setText("Detial panel");

	// Extem left for group list

	// mygrid = new dhtmlXGridObject('gridbox');
	mygrid = dhxLayout.cells("a").attachGrid();
	mygrid.setImagePath("../../images/imgs/");
	mygrid.setHeader("Id,Name");
	mygrid.attachHeader("#text_filter,#text_filter");
	mygrid.setInitWidths("50,150");
	mygrid.enableAutoWidth(true);
	mygrid.setColAlign("left,left");
	mygrid.setColTypes("link,ed");
	// mygrid.getCombo(5).put(2, 2);
	mygrid.setColSorting("int,str");
	mygrid.init();
	mygrid.setSkin("dhx_skyblue");
	mygrid.enableSmartRendering(true);
	mygrid.parse(dataGroupList_D, "json");
	// alert("dataGroupList_D # "+dataGroupList_D);
	// Left Layout
	dhxAccord = dhxLayout.cells("b").attachAccordion();
	dhxAccord.enableMultiMode();
	// dhxAccord.enableMultiMode(false);

	dhxAccord.addItem("a1", "Group Resource with Action & Role");
	dhxAccord.addItem("a2", "Inclusion");
	dhxAccord.forEachItem(function(item) {
		item.setHeight(item.getId() == "a1" ? 190 : 190);
	});
	// dhxAccord.attachEvent("onBeforeActive", doOnBeforeActive);
	dhxAccord.setEffect(true);
	dhxAccord.setActive("a1");
	// Resource
	// alert("dataResource_D # "+dataResource_D.rows);
	mygridRes = dhxAccord.cells("a1").attachGrid();
	mygridRes.setImagePath("../../images/imgs/");
	mygridRes.setHeader("Resource,Role,Action");
	mygridRes.setInitWidths("150,100,80");
	mygridRes.setEditable("off");
	mygridRes.setColAlign("left,center,center");
	mygridRes.setColTypes("ed,ed,ed");
	mygridRes.setColSorting("str,str,str");
	mygridRes
			.setStyle(
					"background-image:none;border-bottom:1px solid #000000;border-top:1px solid #5387AF;font-weight:bold;height:24px;vertical-align:top;white-space:nowrap;",
					"",
					"",
					"background-image:url(../../images/bg_tertiary_nav_on.gif);background-repeat:repeat-x;border-bottom:1px solid #CF7B00;border-top:1px solid #FFD08A;");
	mygridRes.init();
	mygridRes.setSkin("dhx_skyblue");
	mygridRes.parse(dataResource_D, "json");
	// alert("dataResource_D # "+dataResource_D);
	mygridRes.groupBy(0);
	// Inclusion

	mygridInclu = dhxAccord.cells("a2").attachGrid();
	mygridInclu.setImagePath("../../images/imgs/");
	mygridInclu.setHeader("Name,Value");
	mygridInclu.attachHeader("#text_filter,#text_filter");
	mygridInclu.setInitWidths("175,150");
	mygridInclu.setEditable("off");
	mygridInclu.setColAlign("left,left");
	mygridInclu.setColTypes("ed,ed");
	mygridInclu.setColSorting("str,str");
	mygridInclu
			.setStyle(
					"background-image:none;border-bottom:1px solid #000000;border-top:1px solid #5387AF;font-weight:bold;height:24px;vertical-align:top;white-space:nowrap;",
					"",
					"",
					"background-image:url(../../images/bg_tertiary_nav_on.gif);background-repeat:repeat-x;border-bottom:1px; solid #CF7B00;border-top:1px solid #FFD08A;");
	mygridInclu.init();
	mygridInclu.setSkin("dhx_skyblue");
	mygridInclu.parse(inclusionData_D, "json");
	// mygridInclu.groupBy(0);
	// alert("inclusionData_D # "+inclusionData_D);

	// Right Layout
	dhxAccord1 = dhxLayout.cells("c").attachAccordion();
	dhxAccord1.enableMultiMode();
	dhxAccord1.addItem("a1", "Exclusion Details");
	dhxAccord1.addItem("a2", "Proxy Details");
	dhxAccord1.forEachItem(function(item) {
		item.setHeight(item.getId() == "a1" ? 190 : 190);
		// item.hide();
		});
	function doOnBeforeActive(itemId) {
		// alert("Hi"+itemId.id);
		// if(confirm("Do You want to Edit?")){
		dhxAccord1.forEachItem(function(item) {
			if (itemId.id == item.getId()) {
				dhxAccord1.cells(itemId.id).show();
				dhxAccord1.cells(itemId.id).open();
			} else {
				dhxAccord1.cells(item.getId()).hide();
			}
		});
		return true; // item will not be opened
		// }else{
		// return true;
		// }
	}

	// Exclusion
	mygrid2 = dhxAccord1.cells("a1").attachGrid();
	mygrid2.setImagePath("../../images/imgs/");
	mygrid2.setHeader("Name,Value");
	mygrid2.attachHeader("#text_filter,#text_filter");
	mygrid2.setInitWidths("180,170");
	mygrid2.setEditable("off");
	mygrid2.setColAlign("left,left");
	mygrid2.setColTypes("ed,ed");
	mygrid2.setColSorting("str,str");
	mygrid2
			.setStyle(
					"background-image:none;border-bottom:1px solid #000000;border-top:1px solid #5387AF;font-weight:bold;height:24px;vertical-align:top;white-space:nowrap;",
					"",
					"",
					"background-image:url(../../images/bg_tertiary_nav_on.gif);background-repeat:repeat-x;border-bottom:1px solid #CF7B00;border-top:1px solid #FFD08A;");
	mygrid2.init();
	mygrid2.setSkin("dhx_skyblue");
	mygrid2.parse(exclusionData_D, "json");
	// alert("exclusionData_D # "+exclusionData_D);
	// mygrid2.groupBy(0);
	// Proxy

	mygrid2 = dhxAccord1.cells("a2").attachGrid();
	mygrid2.setImagePath("../../images/imgs/");
	mygrid2.setHeader("Name,Value");
	mygrid2.attachHeader("#text_filter,#text_filter");
	mygrid2.setInitWidths("180,170");
	mygrid2.setEditable("off");
	mygrid2.setColAlign("left,left");
	mygrid2.setColTypes("ed,ed");
	mygrid2.setColSorting("str,str");
	mygrid2
			.setStyle(
					"background-image:none;border-bottom:1px solid #000000;border-top:1px solid #5387AF;font-weight:bold;height:24px;vertical-align:top;white-space:nowrap;",
					"",
					"",
					"background-image:url(../../images/bg_tertiary_nav_on.gif);background-repeat:repeat-x;border-bottom:1px solid #CF7B00;border-top:1px solid #FFD08A;");
	mygrid2.init();
	mygrid2.setSkin("dhx_skyblue");
	mygrid2.parse(proxyData_D, "json");
	// alert("proxyData_D # "+proxyData_D);
	// mygrid2.groupBy(0);

}

/**
 * 
 * Check group number is select.
 * 
 * @return
 */
function checkGroupNumber() {

	if (document.getElementById("tempGroupID").value == null
			|| document.getElementById("tempGroupID").value == ''
			|| (document.getElementById("tempGroupID").value <= 0)) {
		alert("Please select group Id form list.");
		return false;
	}
	return true;
}